DCMTK: FrameSorter::Results Struct Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FrameSorter::Results Struct Reference

Structure that transports the results of a frame sorting operation. More...

## Public Member Functions
| Results ()
| Default constructor, initializes empty results.
void | clear ()
| Clear all results, i.e.

## Public Attributes
OFCondition | errorCode
| Error code: EC_Normal if sorting was successful, error code otherwise.
OFVector< Uint32 > | frameNumbers
| The frame numbers, in sorted order (default: empty).
OFVector< ImagePosition > | framePositions
| The frame positions, in sorted order, if provided by the sorter (default: empty).
DcmTagKey | key
| Tag key that contains the information that was crucial for sorting.
DcmTagKey | fgSequenceKey
| Tag functional group sequence key that contains the tag key (see other member) that was crucial for sorting.
OFString | fgPrivateCreator
| Tag functional group sequence's private creator string for the fgSequenceKey result member if fgSequenceKey is a private attributes.

## Detailed Description

Structure that transports the results of a frame sorting operation.

## Member Function Documentation

## ◆ clear()

void FrameSorter::Results::clear | ( |  | ) |
| inline

Clear all results, i.e.

reset to default state

References EC_Normal, errorCode, fgPrivateCreator, fgSequenceKey, frameNumbers, and key.

## Member Data Documentation

## ◆ errorCode

OFCondition FrameSorter::Results::errorCode

Error code: EC_Normal if sorting was successful, error code otherwise.

The error code should be set in any case (default: EC_Normal)

Referenced by Results(), clear(), FrameSorterIPP::getSliceDirection(), FrameSorterIdentity::sort(), and FrameSorterIPP::sort().

## ◆ fgPrivateCreator

OFString FrameSorter::Results::fgPrivateCreator

Tag functional group sequence's private creator string for the fgSequenceKey result member if fgSequenceKey is a private attributes.

This is especially useful for creating dimension indices that base on private attibutes. Should be left empty if fgSequenceKey is not private or fgSequenceKey is not used at all (default).

Referenced by Results(), and clear().

## ◆ fgSequenceKey

DcmTagKey FrameSorter::Results::fgSequenceKey

Tag functional group sequence key that contains the tag key (see other member) that was crucial for sorting.

This is especially useful for creating dimension indices. Should be set to (0xffff,0xfff) if none was used (default).

Referenced by Results(), and clear().

## ◆ framePositions

OFVector<ImagePosition> FrameSorter::Results::framePositions

The frame positions, in sorted order, if provided by the sorter (default: empty).

If not empty, contains the same number of items as frameNumbers.

Referenced by FrameSorterIPP::sort().

## ◆ key

DcmTagKey FrameSorter::Results::key

Tag key that contains the information that was crucial for sorting.

This is especially useful for creating dimension indices. Should be set to (0xffff,0xfff) if none was used (default).

Referenced by Results(), and clear().

The documentation for this struct was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/framesorter.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1